/* CSS is how you can add style to your website, such as colors, fonts, and positioning of your
   HTML content. To learn how to do something, just try searching Google for questions like
   "how to change link color." */
@font-face {
  font-family: 'BIG';
  src: url('fonts/AmazS.T.A.L.K.E.R.v.3.0.ttf') format('truetype');
}

@font-face {
  font-family: 'stalker';
  src: url('fonts/Stalker.ttf') format('truetype');
}

@font-face {
  font-family: 'stalkername';
  src: url('/fonts/Graffiti1CTT.woff') format('truetype');
}
@font-face {
    font-family: 'Graffiti1CTT';
    font-style: normal;
    font-weight: 400;
    src: local('Graffiti1CTT'), local('Graffiti1CTT-Regular'),
        url(https://getfonts.net/cache/fonts/graffiti1ctt_f2f1969c270d4278dd9f2373c303a63e.woff) format('woff'),
        url(https://getfonts.net/cache/fonts/graffiti1ctt_f2f1969c270d4278dd9f2373c303a63e.ttf) format('truetype');
}

@font-face {
  font-family: 'speak';
  src: url('https://static.wfonts.com/data/2015/07/11/letterica/LETTERBI.ttf') format('ttf');
  font-display: swap;
}

body {
  background: url("img/bg.jpg") no-repeat;
  font-family: verdana;
  zoom: 80%;
}

.stalkhead {
  justify-content: center;
  align-items: center;
  display: flex;
  font-family: BIG;
  font-size: 45px;  
  width: 875px;
  margin: 0 auto;
  padding: 7px 10px;
  height: 80px;
  margin-bottom: 15px; 
  text-shadow: 3px 3px 5px black; 
}

.stalkhead h1 {
  color: black;
}

main {
  background: url("img/ui_actor_dialog.png") no-repeat;
  background-size: 900px 1000px;
  color: white;
  width: 900px;
  height: 1000px; 
  margin: 0px auto;
  padding: 20px; 
  box-sizing: border-box;
  
  /* Crucial: Sets the boundary for absolute positioning */
  position: relative; 
}

.text li {
  margin-bottom: 12px;
  line-height: 1.4;
}

.text strong {
  font-family: Graffiti1CTT !important;
  color: #ff9a00;
  letter-spacing: 0.7px;
  font-size: 27px;
}

.text {
  width: 840px;
  height: 612px; 
  overflow-y: auto;
  overflow-x: hidden;
  display: block;
  box-sizing: border-box;
  margin-top: 31px;
  padding-left: 34px;
  
  font-family: AGLetterica-Roman;
  font-size: 17px; 
  font-weight: bold;
  letter-spacing: 0.5px; 
  -webkit-font-smoothing: none;
  -moz-osx-font-smoothing: none;
  text-rendering: optimizeSpeed;
  color: rgb(212, 183, 139);
  filter: blur(0.4px) contrast(1);
}

nav {
  font-family: AGLetterica-Roman;
  position: absolute;
  bottom: 102.7px;        
  left: 85px;          
  display: flex;
  flex-direction: column; 
  align-items: flex-start; 
  gap: 12px;            
  width: auto;
  box-sizing: border-box;
}

nav a {
  font-family: AGLetterica-Roman;
  font-size: 19px; 
  color: rgb(153, 142, 130);        
  text-decoration: none;
  transition: color 0.2s ease;
  line-height: 0.7;
  letter-spacing: 0.5px; 
  -webkit-font-smoothing: none;
  -moz-osx-font-smoothing: none;
  text-rendering: optimizeSpeed;
  filter: blur(0.4px) contrast(1);
}

nav a:hover {
  color: rgb(104, 116, 36);        
}

table {
  width: 100%;
  max-width: 800px;
  margin: 15px auto;
  border-collapse: collapse;
  font-family: AGLetterica-Roman, sans-serif;
  font-size: 15px;
}

table, th, td {
  border: 1px solid #4f5357; 
  color: #e1e1e1;
}

th {
  min-width: 100px;
  max-width: 124px;
  font-family: stalker, sans-serif; 
  font-size: 20px;
  letter-spacing: 1px;
  color: #ffffff;
  padding: 8px 12px;
  text-align: center;
}


td {
  padding: 10px 14px;
  vertical-align: middle;
}

td p {
  margin: 0;
  line-height: 1.4; 
}

td:first-child {
  font-family: stalker, sans-serif;
  font-size: 16px;
  color: #9cb09c;
  text-align: center;
}

h1 {
  font-family: Graffiti1CTT;
  color: #ff9a00;
  letter-spacing: 0.7px;
}

h2 {
  font-family: Graffiti1CTT;
  color: #ff9a00;
  letter-spacing: 0.7px;
}

/* unvisited link */
.text a:link {
  color: #9cb09c;
}

/* visited link */
.text a:visited {
  color: #9cb09c;
}

/* mouse over link */
.text a:hover {
  color: #ff9a00;
}

/* width */
::-webkit-scrollbar {
  width: 20px;
}

*::-webkit-scrollbar-track {
  background-color: rgba(0, 0, 0, 0.1);
  border-radius: 0px;
}

*::-webkit-scrollbar-track:hover {
  background-color: rgba(0, 0, 0, 0.1);
}

*::-webkit-scrollbar-track:active {
  background-color: rgba(0, 0, 0, 0.1);
}

*::-webkit-scrollbar-thumb {
  background-color: #ff9a00;
  border-radius: 2px;
  min-height: 40px;
}

*::-webkit-scrollbar-thumb:hover {
  background-color: #94a3b8;
}

*::-webkit-scrollbar-thumb:active {
  background-color: #64748b;
}

*::-webkit-scrollbar-button {
  display: none;
  width: 0;
  height: 0;
}

.filter {
  -webkit-filter: brightness(106%) contrast(200%) grayscale(41%) hue-rotate(360deg) sepia(84%);
  filter: brightness(106%) contrast(200%) grayscale(41%) hue-rotate(360deg) sepia(84%);
}

